%%% Andrea %%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 11/05/06 %%%
%%%           EDDY TRACKING 3D PACKAGE             %%%
%%%                                     vs 3D.1.0  %%%
%%% parameters3d                                   %%%
%%% tracking3d_ini                                 %%%
%%%  |_anim_tracking3d<-ad_extracteur<-census_wlt  %%%
%%%     |_tracking3d                               %%%
%%%     |_eddysection3d                            %%%
%%%     |_trackingvert                             %%%
%%%                                                %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Reference:
% Doglioli A.M., Blanke B., Speich S., Lapeyre G. (2007),
% Tracking coherent structures in a regional ocean model
% with wavelet analysis: application to Cape Basin Eddies.
% J. Geophys. Res., in press.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file is free software ; it is distributed in  %
% the hope that  it  will be useful, but without any %
% warranty. You can redistribute it and/or modify it %
% under the terms of the GNU General Public License  %
% as published by the Free Software Foundation at    %
%       http://www.gnu.org/copyleft/gpl.html.        %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%clear;close all;

%parameters;


%----------------------------------------------------
%M=Mmax;
%Y=Ymax;
%tindex=nstart0;
hisfile=[dir,model,'_',filetype,'_Y',num2str(Y),'M',num2str(M),'.nc'];
%refname='/local/tmp/1/doglioli/Res10/Run/roms_avg_Y1M1.nc'
refname='/local/tmp/1/doglioli/Res10/Run/res10_avg_Y45678.nc';
%refname=hisfile
%------------------------------------------------------------------
[lat,lon,mask]=read_latlonmask(gridfile,'rho');

latN=lat(jcenter+jmin-1,icenter+imin-1);
latS=lat(jcenter+jmin-1,icenter+imin-1);
lonW=6;%lon(jcenter+jmin-1,icenter+imin-1)-2
lonE=18;%lon(jcenter+jmin-1,icenter+imin-1)+2

%[LONSEC,LATSEC,X,Z,TEMP]=ad_get_section(hisfile,gridfile,[lonW lonE],[latS latN],'temp',tindex);
[LONSEC,LATSEC,X,Z,SALT]=ad_get_section(hisfile,gridfile,[lonW lonE],[latS latN],'salt',tindex);
%RHO=rho_eos(TEMP,SALT,0);

%[LONSEC,LATSEC,X,Z,TEMPref]=ad_get_section(refname,gridfile,[lonW lonE],[latS latN],'temp',1);
[LONSEC,LATSEC,X,Z,SALTref]=ad_get_section(refname,gridfile,[lonW lonE],[latS latN],'salt',1);
%RHOref=rho_eos(TEMPref,SALTref,0);

%TEMP=TEMP-TEMPref;
SALT=SALT-SALTref;
%RHO=RHO-RHOref;

%SIGMA0=RHO-1000;
%SIGMA0=RHO;

%[LONSEC,LATSEC,X,Z,U]=ad_get_section(hisfile,gridfile,[lonW lonE],[latS latN],'u',tindex);
%[LONSEC,LATSEC,X,Z,Uref]=ad_get_section(refname,gridfile,[lonW lonE],[latS latN],'u',tindex);
%U=U-Uref;
%zeros=find(abs(U) <=10e-7);
%U(zeros)=0;
%[LONSEC,LATSEC,X,Z,V]=ad_get_section(hisfile,gridfile,[lonW lonE],[latS latN],'v',tindex);
%[LONSEC,LATSEC,X,Z,Vref]=ad_get_section(refname,gridfile,[lonW lonE],[latS latN],'v',1);
%V=V-Vref;
%zeros=find(abs(V) <=10e-7);
%V(zeros)=0;
%KE=0.5.*(U.^2+V.^2);

indici=find(Z>-200);
%TEMP(indici)=NaN;
SALT(indici)=NaN;
%SIGMA0(indici)=NaN;
%U(indici)=NaN;
%V(indici)=NaN;
%KE(indici)=NaN;

%%%%%%%%%%%%%%%%%%%%%%
%[lat,lon,mask,epv,dpv,dpv2d]=get_dpv(hisfile,gridfile,tindex,vlevel,1,refname,1);

%[LONSEC,LATSEC,XNEW,ZNEW,pippo]=ad_get_section_dpv(hisfile,gridfile,[lonW lonE],[latS latN],dpv,tindex);

%indici=find(abs(pippo)>=0.5);
%pippo(indici)=NaN;
%indici=find(Z>-200);
%pippo(indici)=NaN;

%[LONSEC,LATSEC,XNEW,ZNEW,pippo2]=ad_get_section_dpv(hisfile,gridfile,[lonW lonE],[latS latN],epv,tindex);
%indici=find(abs(pippo2)>=1);
%indici=find(Z>-200);
%pippo2(indici)=NaN;


%lookinf for eddy bottom
clear pippocenter Zmin Xmin
indmin=findnearest(lon(jcenter+jmin-1,icenter+imin-1),LONSEC(1,:),-1);
LONmin=LONSEC(1,indmin);
pippocenter=SALT(:,indmin);
pos=find(pippocenter>0);
neg=find(pippocenter<=0);
pippocenter(pos)=1;
pippocenter(neg)=-1;
Zmin=vlevel;
for k=30:-1:2;
 if(isnan(pippocenter(k-1:k))==0 & pippocenter(k-1)~=pippocenter(k))% & pippocenter(k+1)==pippocenter(k+2));
  Zmin=Z(k);
  disp(['Zmin=',num2str(Zmin)])
  break;
  end
end

if Zmin==vlevel
  disp(['!!! Zmin not foud !!!'])
  enough=1;break
subplot(2,3,2)  
contourf(LONSEC,Z,SALT);%[34.4:0.05:35.2]);
colorbar;
hold on;
plot([lon(jcenter+jmin-1,icenter+imin-1) lon(jcenter+jmin-1,icenter+imin-1)],[-5000 0],'w--','linewidth',2);
grid
xlabel(['\bf{section lon [',num2str(lonW,'%5.0f'),' ',num2str(lonE,'% 5.0f'),']  lat [',num2str(latN,'% 5.0f'),' ',num2str(latS,'% 5.0f'),']  Y',num2str(Y),' M',num2str(M),' it',num2str(tindex),'}']);
set(gca,'YTickLabel',' ')
title('\Delta SALT');
end %if Zmin==vlevel


%
%figure(4)
%plot(squeeze(dpvdepth(jlat,ilon:ilon+ix-1)));
%Xtick=get(gca,'Xtick');
%XtickLabel=get(gca,'XtickLabel');
%%pause;
%newXtick=(Xtick/111.2*cos(0.5*(lonE+lonW)*pi/180))+lonW;
%newXtickLabel=num2str(newXtick','% 4.1f');
%set(gca,'XtickLabel',newXtickLabel);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
