%%% Andrea %%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 11/05/06 %%%
%%%           EDDY TRACKING 3D PACKAGE             %%%
%%%                                     vs 3D.1.0  %%%
%%% parameters3d                                   %%%
%%% tracking3d_ini                                 %%%
%%%  |_anim_tracking3d<-ad_extracteur<-census_wlt  %%%
%%%     |_tracking3d                               %%%
%%%     |_eddysection3d                            %%%
%%%     |_trackingvert                             %%%
%%%                                                %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Reference:
% Doglioli A.M., Blanke B., Speich S., Lapeyre G. (2007),
% Tracking coherent structures in a regional ocean model
% with wavelet analysis: application to Cape Basin Eddies.
% J. Geophys. Res., in press.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file is free software ; it is distributed in  %
% the hope that  it  will be useful, but without any %
% warranty. You can redistribute it and/or modify it %
% under the terms of the GNU General Public License  %
% as published by the Free Software Foundation at    %
%       http://www.gnu.org/copyleft/gpl.html.        %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function print3d_diags(fr0,fr,Zmin,Zmin2,level,topoc,velcenter,errvelcenter,volu,errvolu,diam,errdiam,temp,salt,rho,pv,pvmax,pvmin);
%%%%%%%%%%%%%%%%%%%%%%    
    %figure(6)
    figure('Visible','off');
    subplot(2,1,1);
     plot([fr0+1:fr],Zmin(fr0+1:fr),'b',[fr0+1:fr],Zmin2(fr0+1:fr),'c',[fr0+1:fr],level(fr0+1:fr),'r',[fr0+1:fr],topoc(fr0+1:fr),'k')
     ylabel('[m]')
     title('{\bf Zmin(b) Zmin2(c) level(r)}')
     axis([fr0 fr+5 -7000 -80]);
     set(gca,'XScale','linear','YScale','log');
     grid;box on;
     
    trans(fr0+1:fr)=velcenter(fr0+1:fr).*volu(fr0+1:fr)./diam(fr0+1:fr)./10^6; %[Sv]
    errtrans(fr0+1:fr)=errvelcenter(fr0+1:fr)+errvolu(fr0+1:fr)+errdiam(fr0+1:fr); %[adims]
    
    subplot(2,1,2)
     errorbar([fr0+1:fr],trans(fr0+1:fr),errtrans(fr0+1:fr).*trans(fr0+1:fr),'r')
     axis([fr0 fr+5 0 max(trans(fr0+1:fr)+errtrans(fr0+1:fr).*trans(fr0+1:fr))+1]);
     ylabel('[Sv]')
     xlabel('time [fr]')
     title('{\bf transport}')
     grid;box on;
     
     orient portrait;
     print('-depsc',['./temp_fr1.eps'],'-loose');

%%%%%%%%%%%%%     
    %figure(7);
    figure('Visible','off');
    subplot(3,1,1)
     errorbar([fr0+1:fr],velcenter(fr0+1:fr),errvelcenter(fr0+1:fr).*velcenter(fr0+1:fr))
     ylabel('[m/s]')
     title('{\bf velcenter}')
     axis([fr0 fr+5 0 max(velcenter(fr0+1:fr)+errvelcenter(fr0+1:fr).*velcenter(fr0+1:fr))+0.02]);
     grid;box on;
    subplot(3,1,2)
     errorbar([fr0+1:fr],volu(fr0+1:fr),errvolu(fr0+1:fr).*volu(fr0+1:fr),'r')
     axis([fr0 fr+5 0 max(volu(fr0+1:fr)+errvolu(fr0+1:fr).*volu(fr0+1:fr))+.5e13]);
     title('{\bf volume}')
     ylabel('[m^{3}]')
     grid;box on;
    subplot(3,1,3);hold on;
     errorbar([fr0+1:fr],diam(fr0+1:fr),errdiam(fr0+1:fr).*diam(fr0+1:fr),'r')
     %plot([1:fr],diamEW,'b',[1:fr],diamNS,'c')
     axis([fr0 fr+5 0 max(diam(fr0+1:fr)+errdiam(fr0+1:fr).*diam(fr0+1:fr))+.5e+5]);
     xlabel('time [fr]')
     ylabel('[m]')
     title('{\bf diameter mean(r) EW(b) NS(c)}')
     grid;box on;
     
     orient portrait;
     print('-depsc',['./temp_fr2.eps'],'-loose');

%%%%%%%%%%%%%     
    %figure(8);
    figure('Visible','off');
    subplot(2,1,1)
     plot([fr0+1:fr],pv(fr0+1:fr),'r',[fr0+1:fr],pvmax(fr0+1:fr),'b',[fr0+1:fr],pvmin(fr0+1:fr),'c')
     axis([fr0 fr+5 min(pv(fr0+1:fr))-1.e-10 max(pv(fr0+1:fr))+1.e-10]);
     ylabel('[m^{-1} s^{-1}]')
     title('{\bf  mean potential vorticity [max(b) min(c)]}')
     grid;box on;
    subplot(2,1,2)
     plot([fr0+1:fr],rho(fr0+1:fr))
     axis([fr0 fr+5 min(rho(fr0+1:fr))-.5 max(rho(fr0+1:fr))+.5]);
     ylabel('[Kg m^{-3}]')
     title('{\bf  mean density}')
     grid;box on;
     
     orient portrait;
     print('-depsc',['./temp_fr3.eps'],'-loose');

%%%%%%%%%%%%%     
    %figure(9);
    figure('Visible','off');
    subplot(2,1,1)
     plot([fr0+1:fr],temp(fr0+1:fr))
     axis([fr0 fr+5 min(temp(fr0+1:fr))-1 max(temp(fr0+1:fr))+1]);
     ylabel('[^oC]')
     title('{\bf  mean temp}')
     grid;box on;
    subplot(2,1,2)
     plot([fr0+1:fr],salt(fr0+1:fr))
     axis([fr0 fr+5 min(salt(fr0+1:fr))-0.1 max(salt(fr0+1:fr))+0.1]);
     ylabel('[psu]')
     title('{\bf  mean salt}')
     grid;box on;
     orient portrait;
     print('-depsc',['./temp_fr4.eps'],'-loose');

%%%%%%%%%%%%%%%%%%%%%%    
