%%% Andrea %%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 11/05/06 %%%
%%%           EDDY TRACKING 3D PACKAGE             %%%
%%%                                     vs 3D.1.0  %%%
%%% parameters3d                                   %%%
%%% tracking3d_ini                                 %%%
%%%  |_anim_tracking3d<-ad_extracteur<-census_wlt  %%%
%%%     |_tracking3d                               %%%
%%%     |_eddysection3d                            %%%
%%%     |_trackingvert                             %%%
%%%                                                %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Reference:
% Doglioli A.M., Blanke B., Speich S., Lapeyre G. (2007),
% Tracking coherent structures in a regional ocean model
% with wavelet analysis: application to Cape Basin Eddies.
% J. Geophys. Res., in press.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file is free software ; it is distributed in  %
% the hope that  it  will be useful, but without any %
% warranty. You can redistribute it and/or modify it %
% under the terms of the GNU General Public License  %
% as published by the Free Software Foundation at    %
%       http://www.gnu.org/copyleft/gpl.html.        %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function print3d_flierl(fr,latS,latN,lonE,lonW,LATSEC2,Z2,uNS,LONSEC1,Z1,vEW,veltang,Zmean,velcenter)
%figure(5);
figure('Visible','off');

maxp=0.35;
plotint=[-maxp:0.05:maxp];
ind=find(uNS>maxp);
uNS(ind)=maxp;
ind=find(uNS<-maxp);
uNS(ind)=-maxp;
ind=find(vEW>maxp);
vEW(ind)=maxp;
ind=find(vEW<-maxp);
vEW(ind)=-maxp;

subplot(1,3,1)
[C,h]=contourf(LATSEC2,Z2,uNS,plotint);
axis([latS latN -5000 -100]);
colorbar
 xlabel('lat')
 ylabel('depth [m]')
 title('\bf{uNS [m/s]}')
set(gca,'XScale','linear','YScale','log');

subplot(1,3,2)
[C,h]=contourf(LONSEC1,Z1,vEW,plotint);
%axis([lonE lonW -5000 -100]);
colorbar
 xlabel('lon')
 title('\bf{vEW [m/s]}')
set(gca,'XScale','linear','YScale','log');

subplot(1,3,3)
velcenterk=veltang;
velcenter2k=veltang;
velcenterk(:)=velcenter;
velcenter2k(:)=velcenter/2;

plot(veltang,Zmean,'r',velcenterk,Zmean,'b',velcenter2k,Zmean,'c');
%axis([0 0.55 -5000 -100]);
 xlabel('[m/s]')
 title('\bf{vtang [m/s]}')
set(gca,'XScale','linear','YScale','log');
grid


     orient portrait;
     print('-depsc',['./temp_s2_',num2str(fr),'.eps'],'-loose');


